[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomComboBox.RealGetText

Gets the text/caption for the control.

## Declaration

Source position: stdctrls.pp line 385

`protected function TCustomComboBox.RealGetText: TCaption; override;`

## Function result

Caption for the control, or an empty string.

## Description

RealGetText is an overridden method in TCustomComboBox which provides additional debugging support in the method. RealGetText ensures that a handle has been allocated for the control and the value in Text is available in the widgetset class prior to calling the inherited method.

The return value contains the Caption assigned to the control, or an empty string ('') when the control handle is not available.

## See also

TWinControl.RealGetText |  | Returns the Caption property.